Mandrake: cdrecord buffer overflow
Posted by LinuxSecurity.com Team   
Mandrake The linux cdrecord binary is vulnerable to a locally exploitable buffer overflow attack.
-------------------------------------

   Linux-Mandrake Security Update

-------------------------------------

Package: cdrecord

Affected versions: 6.1 7.0

Problem: The linux cdrecord binary is vulnerable to a locally
exploitable buffer overflow attack. When installed on a Linux-Mandrake
distribution, it is by default setgid "cdburner" (which is a group,
gid: 80, that is created for the application). The overflow condition
is the result of no bounds checking on the 'dev=' argument passed to
cdburner at execution time. This vulnerability can be exploited to
execute arbitrary commands with the gid "cdburner".

Please upgrade to:

md5sum: 8f4544f8307019230e74717a9b836051 
package: 7.0/RPMS/cdrecord-1.8.1-4mdk.i586.rpm

md5sum: 6daec92096f82bfac45a3346cbdc9cdb 
package: 7.0/RPMS/cdrecord-cdda2wav-1.8.1-4mdk.i586.rpm

md5sum: 7dd8e55e2f2879ed84d7b667a09bc77c 
package: 7.0/RPMS/cdrecord-devel-1.8.1-4mdk.i586.rpm

md5sum: da6240b73b4238ae554dbf45616319ec 
package: 7.0/RPMS/mkisofs-1.12.1-4mdk.i586.rpm

md5sum: 624aebaf07615e3f18471d3ff9af4ede
source package: 7.0/SRPMS/cdrecord-1.8.1-4mdk.src.rpm 

To upgrade automatically, use « MandrakeUpdate ». If you want to
upgrade manually, download the updated package from one of our FTP
server mirrors and uprade with "rpm -Uvh package_name". All mirrors
are listed on http://www.mandrake.com/en/ftp.php3 Updated packages are
available in the "updates/" directory.

For example, if you are looking for an updated RPM package for
Mandrake 7.0, look for it in: updates/7.0/RPMS/

Note: we give the md5 sum for each package. It lets you check the
integrity of the downloaded package by running the md5sum command on
the package ("md5sum package.rpm").